### Method

# Clapper Queue reposition_item

#### Declaration [src]

    void
    clapper_queue_reposition_item (
      ClapperQueue* queue,
      ClapperMediaItem* item,
      gint index
    )

#### Description [src]

Change position of one `ClapperMediaItem` within the queue.

Note that the `index` is the new position you expect item to be after whole reposition operation is finished.

If item is not in the queue, this function will do nothing.

#### Parameters

`item`

  Type: `ClapperMediaItem`

  A `ClapperMediaItem`.

  The data is owned by the caller of the method.

`index`

  Type: `gint`

  The index to place `item` in queue, -1 to place at the end.